## 1. 功能 Function
TessNg使用户可以通过编写 Python 代码来与国产微观交通仿真软件TESS NG 进行交互，从而实现仿真软件的能力扩张与功能定制。**使用TessNg 包无需下载TESS NG 软件**。

TessNg enables users to interact with the Chinese micro traffic simulation software TESS NG by writing Python code, thereby expanding the capabilities and customizing the functions of the simulation software. **TessNg package does not require downloading TESS NG software**.

## 2. 版本 Version
Python的版本要求为**3.6或3.8**，运行环境为Windows，TESS NG 的版本为**V4**。

The version requirement for Python is **3.6 or 3.8**, the running environment is Windows, and the version for TESS NG is **V4**.

## 3. 安装 Install
请使用以下命令安装 tessng 包：

You can use the following command to install the tessng package

```bash
pip install tessng
```

## 4. 使用 Usage
可以使用以下代码生成TESS NG 基础案例的代码文件：

You can generate a code file for a TESS NG basic case using the following code:

```python
import tessng
tessng.get_demo_files(path=None)
```
其中，参数path 为保存代码文件的路径，默认为当前目录。

Among them, the parameter path is the path to save the code file, which defaults to the current directory.

执行该代码将生成4个文件：main.py、MyPlugin.py、MyNet.py 和 MySimulator.py，运行main.py，并使用 key 激活软件（第一次运行时），即可启动TESS NG。

Executing this code will generate four files: main.py, MyPlugin.py, MyNet.py, and MySimulator.py. Run main.py and activate the software with the key (first run) to start TESS NG.

更多使用说明请参考济达交通官方网站：http://jidatraffic.com:82/

For more usage instructions, please refer to the official website of Jida Transportation: http://jidatraffic.com:82/.
